Bug 107943 - LTC5123 - nvsetenv command broken in RHEL3 GA
LTC5123 - nvsetenv command broken in RHEL3 GA
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ppc64-utils (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 15:39 EDT by Olof Johansson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olof Johansson 2003-10-24 15:39:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20031020

Description of problem:
Hardware Environment:
7042-270

Software Environment:
RHEL3 GA

Steps to Reproduce:
1. Run "nvsetenv"


Actual Results:
?root@milliways root?# nvsetenv
Warning: Bad magic number 1003
Warning: checksum error (f284) on nvram
Segmentation fault


Expected Results:
Should have printed all nvram variables and their settings.

Additional Information:
This worked with earlier versions of RHEL3. It also works from another distro
booted on the same system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See above

Additional info:
Comment 1 Olof Johansson 2003-10-24 15:48:39 EDT
olof@us.ibm.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
        Owning Team|pSeries                     |Red Hat




------- Additional Comments From olof@us.ibm.com  2003-24-10 15:49 -------
Matt can reproduce at RedHat. Failure does not occurr with ppc64-utils-0.5. I'm
using 0.7-1 (GA version).
Comment 2 Matt Wilson 2003-11-04 14:22:46 EST
fixed in 0.7-2
Comment 3 IBM Bug Proxy 2004-01-05 11:07:43 EST
------ Additional Comments From kaena@us.ibm.com  2004-01-05 10:15 -------
Please check to see if this bug has been fixed in RHEL Q1. Thanks. 
Comment 4 Jay Turner 2004-01-16 12:41:26 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-321.html
Comment 5 IBM Bug Proxy 2004-01-20 11:45:55 EST
----- Additional Comments From kaena@us.ibm.com  2004-01-20 11:34 -------
closing this as fixed in update #1, unless otherwise told. 
Comment 6 IBM Bug Proxy 2004-04-07 22:25:49 EDT
----- Additional Comments From zhouwu@cn.ibm.com  2004-04-07 22:27 -------
Verified on the 03/30 released RHEL3 update2 Beta. Fixed. 

Note You need to log in before you can comment on or make changes to this bug.